]> git.sur5r.net Git - bacula/bacula/commitdiff
Update
authorKern Sibbald <kern@sibbald.com>
Fri, 4 Jan 2008 16:37:32 +0000 (16:37 +0000)
committerKern Sibbald <kern@sibbald.com>
Fri, 4 Jan 2008 16:37:32 +0000 (16:37 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@6223 91ce42f0-d328-0410-95d8-f526ca767f89

regress/tests/fixed-block-size-1t1d-tape [new file with mode: 0755]
regress/tests/fixed-block-size-tape [deleted file]

diff --git a/regress/tests/fixed-block-size-1t1d-tape b/regress/tests/fixed-block-size-1t1d-tape
new file mode 100755 (executable)
index 0000000..0e6ea48
--- /dev/null
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory 
+#   to a tape where we set the minimum and maximum block
+#   sizes.
+#
+TestName="fixed-block-size-1t1d-tape"
+JobName=fixedblocksize
+. scripts/functions
+
+copy_tape_confs
+
+echo "${cwd}/build" >${cwd}/tmp/file-list
+
+cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
+echo "s%# Maximum Block Size%  Maximum Block Size%" >${cwd}/tmp/2
+echo "s%# Minimum Block Size%  Minimum Block Size%" >>${cwd}/tmp/2
+sed -f ${cwd}/tmp/2 ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
+if [ $? != 0 ] ; then
+   echo " "
+   echo " "
+   echo "!!!! sed problem in Fixed Block Size test !!!!!"
+   echo " "
+   exit 1
+fi
+rm -f ${cwd}/tmp/1 ${cwd}/tmp/2
+
+change_jobname NightlySave $JobName
+start_test
+
+
+cat <<END_OF_DATA >${cwd}/tmp/bconcmds
+@$out /dev/null
+messages
+@$out ${cwd}/tmp/log1.out
+setdebug level=51 storage=DDS-4
+label storage=DDS-4 volume=TestVolume001 slot=0 pool=Default
+run job=$JobName yes
+wait
+messages
+@# 
+@# now do a restore
+@#
+@$out ${cwd}/tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores select storage=DDS-4
+unmark *
+mark *
+done
+yes
+wait
+messages
+@$out
+quit
+END_OF_DATA
+
+run_bacula
+check_for_zombie_jobs storage=DDS-4
+stop_bacula
+
+check_two_logs
+check_restore_diff
+end_test
diff --git a/regress/tests/fixed-block-size-tape b/regress/tests/fixed-block-size-tape
deleted file mode 100755 (executable)
index 0e6ea48..0000000
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/bin/sh
-#
-# Run a simple backup of the Bacula build directory 
-#   to a tape where we set the minimum and maximum block
-#   sizes.
-#
-TestName="fixed-block-size-1t1d-tape"
-JobName=fixedblocksize
-. scripts/functions
-
-copy_tape_confs
-
-echo "${cwd}/build" >${cwd}/tmp/file-list
-
-cp ${cwd}/bin/bacula-sd.conf ${cwd}/tmp/1
-echo "s%# Maximum Block Size%  Maximum Block Size%" >${cwd}/tmp/2
-echo "s%# Minimum Block Size%  Minimum Block Size%" >>${cwd}/tmp/2
-sed -f ${cwd}/tmp/2 ${cwd}/tmp/1 >${cwd}/bin/bacula-sd.conf
-if [ $? != 0 ] ; then
-   echo " "
-   echo " "
-   echo "!!!! sed problem in Fixed Block Size test !!!!!"
-   echo " "
-   exit 1
-fi
-rm -f ${cwd}/tmp/1 ${cwd}/tmp/2
-
-change_jobname NightlySave $JobName
-start_test
-
-
-cat <<END_OF_DATA >${cwd}/tmp/bconcmds
-@$out /dev/null
-messages
-@$out ${cwd}/tmp/log1.out
-setdebug level=51 storage=DDS-4
-label storage=DDS-4 volume=TestVolume001 slot=0 pool=Default
-run job=$JobName yes
-wait
-messages
-@# 
-@# now do a restore
-@#
-@$out ${cwd}/tmp/log2.out
-restore where=${cwd}/tmp/bacula-restores select storage=DDS-4
-unmark *
-mark *
-done
-yes
-wait
-messages
-@$out
-quit
-END_OF_DATA
-
-run_bacula
-check_for_zombie_jobs storage=DDS-4
-stop_bacula
-
-check_two_logs
-check_restore_diff
-end_test